
%------------------------------------------------------------------------
%   A stellar attitude determination system.
%------------------------------------------------------------------------
%   Form:
%   [q, b, p] = AttDet( angInc, q, dT, b, p, Q, r, qBToS, starDataMeas, starData, fScale, init )
%------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   angInc       (n,1)     Angular increments
%   q            (4,1)     Attitude quaternion
%   dT           (1,1)     Time step
%   b            (3,1)     Bias
%   p            (6,6)     State covariance matrix
%   Q            (6,6)     State noise covariance
%   r            (1,1)     Measurement noise
%   qBToS        (4,1)     Quaternion from body to sensor axes
%   starDataMeas (3,m)     Vector of [intensity;xloc;yloc]
%   starData     (1,1)     Star Data
%                          .starMatrix (4,n)     Star catalog containing n stars stored as [intensity;u] or
%                          .starID     (1,m)     Identified stars
%   fScale                 Sensor scale factor
%   init         (1,1)     Initialize if 1
%
%   -------
%   Outputs
%   -------
%   q            (4,1)     Attitude quaternion
%   b            (3,1)     Bias
%   p            (6,6)     State covariance matrix
%
%------------------------------------------------------------------------