
%-------------------------------------------------------------------------------
%   Simulates a spacecraft with rate integrating gyros.
%-------------------------------------------------------------------------------
%   Form:
%   xDot = FRBWRIG( x, t, inr, invInr, torque, uRIG, nRWRIG, nBRIG, betaRIG )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   x            (n)       State vector with integrated angle and bias
%                          [q(4) w(3) a(3) b(3)]
%   t                      Time
%   inr          (3,3)     Spacecraft inertia matrix
%   invInr       (3,3)     Spacecraft inverse inertia matrix
%   torque       (3,1)     Body torque
%   uRIG         (3,n)     Unit vectors for rate integrating gyros
%   nWBRIG       (n)       Random walk noise for RIGs
%   nBRIG        (n)       Bias drift noise for RIGs
%   betaRIG      (n)       Bias Correlation time constant for RIGs
%
%   -------
%   Outputs
%   -------
%   xDot         (n)       Derivative of the state vector
%
%-------------------------------------------------------------------------------