
%------------------------------------------------------------------------
%   Generates a random star catalog in star matrix format.
%   If mVM or sVM are not input it will
%   generate visual magnitudes using statistics derived from the FK5
%   catalog. Visual magntiude is rounded to 2 decimal places.
%------------------------------------------------------------------------
%   Form:
%   starMatrix = RandSC( n, d, mVM, sVM )
%------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   n               (1,1)    Number of stars
%   d               (1,1)    Digits accuracy
%   mVM             (1,1)    Mean visual magnitude
%   sVM             (1,1)    Standard deviation visual magnitude
%
%   -------
%   Outputs
%   -------
%   starMatrix      (4,:)    Catalog [VisualMagnitude;UnitVector]
%
%------------------------------------------------------------------------