
%------------------------------------------------------------------------
%   Computes the output of the star sensor 
%------------------------------------------------------------------------
%   Form:
%   starData = StarSensor( qECIToB, qBToS, uS, starCatalog, fov, fScale )
%------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   qECIToB      (4,1)     Quaternion from body to ECI axes
%   qBToS        (4,1)     Quaternion from body to sensor axes
%   uS           (3,1)     Unit vector
%   starCatalog  (4,p)     Star catalog [intensity;u]
%   fov          (1,1)     Circular field-of-view
%   fScale       (1,1)     Sensor scale factor
%
%   -------
%   Outputs
%   -------
%   starData     (3,m)     Vector of [intensity,xloc,yloc,:]
%
%------------------------------------------------------------------------